Skip to main content
DELETE
/
v6
/
customers
/
{id}
Delete customer
curl --request DELETE \
  --url https://sandbox.tight.com/v6/customers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "cus_28868401",
    "name": "Acme Corp",
    "status": "ACTIVE",
    "additionalContactName": "Jane Smith",
    "businessName": "Acme Corporation LLC",
    "email": "billing@acme.com",
    "ccEmails": [
      "cc@acme.com"
    ],
    "bccEmails": [
      "bcc@acme.com"
    ],
    "invoiceSettings": {
      "invoicePrefix": "INV-",
      "showAdditionalContactName": true,
      "showBusinessName": true,
      "showName": true,
      "showEmail": true,
      "showAddress": true,
      "showPhoneWork": true
    },
    "address": {
      "countryCode": "USA",
      "state": "<string>",
      "city": "<string>",
      "zip": "<string>",
      "phoneWork": "<string>",
      "address1": "<string>",
      "address2": "<string>"
    },
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the customer

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.